### Method

# Gtk ConstraintGuideset_nat_size

#### Declaration [src]

    void
    gtk_constraint_guide_set_nat_size (
      GtkConstraintGuide* guide,
      int width,
      int height
    )

#### Description [src]

Sets the natural size of `guide`.

If `guide` is attached to a `GtkConstraintLayout`, the constraints will be updated to reflect the new size.

#### Parameters

`width`

  Type: `int`

  The new natural width, or -1 to not change it.

`height`

  Type: `int`

  The new natural height, or -1 to not change it.